Bug 164775 - dmraid rebuild problems in FC5
dmraid rebuild problems in FC5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 07:24 EDT by Karsten Hopp
Modified: 2013-02-28 23:04 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 08:49:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-08-01 07:24:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050723 Fedora/1.1-0.2.4.deerpark.alpha2 Firefox/1.0+

Description of problem:
rebuild of dmraid on a current rawhide (FC5) system exits with the following error:

gcc -c -I  -I. -I../include -I../lib -I/var/tmp/dmraid-1.0.0.rc8-FC4_5.src.rpm-root/usr/include -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -O2 -DDMRAID_NATIVE_LOG -DHAVE_GETOPTLONG -fPIC -Wall -Wundef -Wcast-align -Wwrite-strings -Winline -Wshadow -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -DDMRAID_TEST -g -fno-omit-frame-pointer -DDEBUG -D_LARGEFILE64_SOURCE -O2 -DDMRAID_NATIVE_LOG -DHAVE_GETOPTLONG -fPIC -Wall -Wundef -Wcast-align -Wwrite-strings -Winline -Wshadow -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -DDMRAID_TEST -g -fno-omit-frame-pointer -DDEBUG -D_LARGEFILE64_SOURCE toollib.c -o toollib.o
gcc -o dmraid dmraid.o commands.o toollib.o  -static -L../lib \
      -L/var/tmp/dmraid-1.0.0.rc8-FC4_5.src.rpm-root/lib -ldmraid -ldevmapper
../lib/libdmraid.a(socket.o): In function `daemon_open':
daemon/socket.c:44: warning: Using 'gethostbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/lib/libdevmapper.a(libdm-common.o): In function `set_selinux_context':
/usr/src/build/576282-i386/BUILD/device-mapper.1.01.03/lib/libdm-common.c:207: undefined reference to `is_selinux_enabled'
/usr/src/build/576282-i386/BUILD/device-mapper.1.01.03/lib/libdm-common.c:210: undefined reference to `matchpathcon'
/usr/src/build/576282-i386/BUILD/device-mapper.1.01.03/lib/libdm-common.c:218: undefined reference to `lsetfilecon'
/usr/src/build/576282-i386/BUILD/device-mapper.1.01.03/lib/libdm-common.c:224: undefined reference to `freecon'
/usr/src/build/576282-i386/BUILD/device-mapper.1.01.03/lib/libdm-common.c:220: undefined reference to `freecon'
collect2: ld returned 1 exit status
make[1]: *** [dmraid] Error 1
make[1]: Leaving directory `/home/build/rebuild/build/dmraid-1.0.0.rc8-FC4_5.src.rpm/dmraid/1.0.0.rc8/tools'

Version-Release number of selected component (if applicable):
dmraid-1.0.0.rc8-FC4_5

How reproducible:
Always

Steps to Reproduce:
1. install/upgrade to current rawhide
2. try to rebuild dmraid
3.
  

Additional info:
Comment 3 Milan Broz 2006-03-27 08:49:18 EST
FC5 release and current devel version of dmraid have not this problem (rebuilded
ok), closing this bug.

Note You need to log in before you can comment on or make changes to this bug.